Customers
Obtenha aniversariantes do mês
Retorna lista de contatos com aniversário no mês atual.
Observações importantes:
- Sempre retorna aniversários do mês atual
- Data de nascimento retorna no formato
DD/MM/YYYY - Campos de texto retornam em MAIÚSCULAS
- Paginação funciona normalmente (limit e offset)
- Limit máximo é 1000
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Query Parameters
month?integer
[Optional] Mês para filtrar aniversariantes (1-12).
Range
1 <= value <= 12limit?integer
[Optional] Número máximo de registros a retornar (padrão e máximo: 1000)
Default
1000Range
1 <= value <= 1000offset?integer
[Optional] Número de registros a pular para paginação
Default
0Range
0 <= valueResponse Body
application/json
curl -X GET "https://app.advbox.com.br/api/v1/customers/birthdays"{
"offset": 0,
"limit": 1000,
"totalCount": 2,
"data": [
{
"id": 9000001,
"name": "JOAO PEREIRA",
"identification": "111.222.333-44",
"document": null,
"cellphone": "(11) 98888-1234",
"gender": "M",
"civil_status": "CASADO(A)",
"phone": null,
"email": "JOAO.PEREIRA@EMAIL.COM",
"occupation": "ENGENHEIRO",
"street": null,
"postalcode": null,
"region": null,
"city": "SAO PAULO",
"state": "SP",
"country": "BRASIL",
"birthdate": "15/04/1985",
"number_ctps": null,
"number_pis": null,
"number_cid": null,
"notes": null,
"origin": "ESCRITORIO",
"created_at": "2026-01-15 10:30:00",
"lawsuits": [
{
"lawsuit_id": 1234501,
"process_number": null,
"protocol_number": null
}
]
}
],
"query": {
"birthdays": true
}
}Empty